using BOB;
using BOB.ViewModels;
using BOB.ViewModels.Dialogs;
using BOB.Views;
using BOB.Views.Dialogs;
using Prism.Ioc;
using ProcessManager.ViewModels;
using ProcessManager.Views;
using System.Configuration;
using System.Data;
using System.Windows;

namespace ProcessManager
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : PrismApplication
    {
        protected override Window CreateShell()
        {
            return Container.Resolve<MainWindow>();
        }
        protected override void OnInitialized()
        {
            base.OnInitialized();
            var regionManager = Container.Resolve<IRegionManager>();
            regionManager.RequestNavigate("MainRegion", "Menu");

        }
        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<MainWindow, PMainViewModel>();
            containerRegistry.RegisterForNavigation<MenuView, MenuViewModel>("Menu");
            containerRegistry.RegisterForNavigation<DevicesView, DevicesViewModel>("DeviceOne");
            containerRegistry.RegisterForNavigation<DeviceTwoView, DevicesViewModel>("DeviceTwo");
            containerRegistry.RegisterForNavigation<DeviceThreeView, DevicesViewModel>("DeviceThree");
            containerRegistry.RegisterForNavigation<DeviceOther, DevicesViewModel>("Other");
            containerRegistry.RegisterDialog<Setting, SettingViewModel>("Setting");
        }

    }

}
